Bug 812466 - SELinux is preventing /sbin/setfiles from 'relabelto' accesses on the Datei /etc/shells.
SELinux is preventing /sbin/setfiles from 'relabelto' accesses on the Datei /...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:85cb0530bbf3ac40a3540038f33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 15:51 EDT by autarch princeps
Modified: 2013-02-13 13:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:54:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description autarch princeps 2012-04-13 15:51:50 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-3.fc16.x86_64
reason:         SELinux is preventing /sbin/setfiles from 'relabelto' accesses on the Datei /etc/shells.
time:           Fr 13 Apr 2012 21:51:40 CEST

description:
:SELinux is preventing /sbin/setfiles from 'relabelto' accesses on the Datei /etc/shells.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/etc/shells default label should be etc_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /etc/shells
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that setfiles should be allowed relabelto access on the shells file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep restorecon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c102
:                              3
:Target Context                system_u:object_r:ldconfig_t:s0
:Target Objects                /etc/shells [ file ]
:Source                        restorecon
:Source Path                   /sbin/setfiles
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           policycoreutils-2.1.4-13.fc16.x86_64
:Target RPM Packages           setup-2.8.36-3.fc16.noarch
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-3.fc16.x86_64 #1 SMP
:                              Wed Apr 4 18:08:51 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Fr 13 Apr 2012 21:49:01 CEST
:Last Seen                     Fr 13 Apr 2012 21:49:07 CEST
:Local ID                      55841d94-37f1-4c7b-afab-da3852d01a50
:
:Raw Audit Messages
:type=AVC msg=audit(1334346547.840:187): avc:  denied  { relabelto } for  pid=15052 comm="restorecon" name="shells" dev="sda3" ino=131625 scontext=unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ldconfig_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1334346547.840:187): arch=x86_64 syscall=lsetxattr success=no exit=EACCES a0=7f3871caae00 a1=7f3870d6c46b a2=7f3871b76410 a3=20 items=0 ppid=15051 pid=15052 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=2 comm=restorecon exe=/sbin/setfiles subj=unconfined_u:unconfined_r:setfiles_t:s0-s0:c0.c1023 key=(null)
:
:Hash: restorecon,setfiles_t,ldconfig_t,file,relabelto
:
:audit2allow
:
:#============= setfiles_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow setfiles_t ldconfig_t:file relabelto;
:
:audit2allow -R
:
:#============= setfiles_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow setfiles_t ldconfig_t:file relabelto;
:
Comment 1 Daniel Walsh 2012-04-13 16:17:35 EDT
This seems like you have a very strange machine.

matchpathcon /etc/shells
Comment 2 Daniel Walsh 2012-04-13 16:18:33 EDT
Did you do something strange like set the label on /etc/shells to ldconfig_t?
Comment 3 Fedora End Of Life 2013-01-16 10:45:11 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 13:54:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.